curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/paySmart2D' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"cc_holder_name": "John Doe",
"cc_no": "4508034508034509",
"expiry_month": 12,
"expiry_year": 2026,
"cvv": 543,
"currency_code": "TRY",
"installments_number": 1,
"invoice_id": 5874544,
"invoice_description": "5974544 Ödemesi",
"name": "John",
"surname": "Doe",
"total": 458,
"merchant_key": "$2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO",
"items": "[\n {\"name\":\"pr001\",\"price\":\"2.30\",\"quantity\":1,\"description\":\"pr001\"},\n {\"name\":\"pr001\",\"price\":\"2.70\",\"quantity\":1,\"description\":\"pr001\"},\n {\"name\":\"pr001\",\"price\":\"5.00\",\"quantity\":2,\"description\":\"pr001\"}\n]\n",
"cancel_url": "string",
"return_url": "string",
"is_commission_from_user": 1,
"commission_by": "merchant",
"hash_key": "string",
"bill_address1": "string",
"bill_address2": "string",
"bill_city": "string",
"bill_postcode": "string",
"bill_state": "string",
"bill_country": "string",
"bill_email": "string",
"bill_phone": "string",
"card_program": "string",
"ip": "string",
"transaction_type": "Pre-Auth",
"vpos_type": "Yalnızca Sigorta Üye işyeri tarafından bir sigorta ödemesi başlatmak için geçerlidir.",
"identity_number": "Yalnızca '\''vpos_type'\'':'\''insurance'\'' olduğunda gönderilmelidir.",
"metadata": "string",
"sale_web_hook_key": "string",
"Yinelenen Ödeme": "Yinelenen Ödemeler için aşağıda ki parametreleri göndermeniz gerekmektedir,",
"order_type": 0,
"recurring_payment_number": 0,
"recurring_payment_cycle": "string",
"recurring_payment_interval": "string",
"recurring_web_hook_key": "string",
"app_lang": "en"
}
]'